# Tutorials

# Tutorials

## Using Editor

This might go in the editor section.

## Globals

Shows using global and setGlobal &DCOP; calls to provide global variables for script

## &DCOP;

Shows how to use both local and external &DCOP; calls to communicate with external application.

## Slots

Shows how to us connections/slot to handle events. Both population and standard slots are used.

## Settings

Shows how to use @readSetting and @writeSetting functions to write/restore widget content. Also, show how to use populate() slot to initialize widget content.

## Append

Shows how you can append text to TextEdit and how you can use it to display formatted text.

## Command Line

Shows ho you can pass parameters to &kommander; dialog via command line. Also, shows how to change list content and button text.

## Initialize

Shows how you use 'initialization' to 'destroy' scripts of main dialog to initialize and store some settings.